'
'DCX2BSUB.BAS - DCX-AT200 Basic Interface Subroutines
'Revision: 1.0a
'Date Last Modified: 9/15/94
'Programmer: Bruce Robinson
'Precision Micro Control Corp.
'
'
'Include file for DCX access
REM $INCLUDE: 'dcx2binc.bas'
'
'**************************************************************************
' Parameter setup command subroutines
'
SUB set.acceleration.gain (board%, axis%, gain#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + AG + DBLPARFLAG
cmddblbuf.param = gain#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB aux.enc.define.home (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + AH + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB set.baud.rate (board%, baud%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = BR
cmdlngbuf.param = baud%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB channel.off (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = CF
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB channel.high.true.logic (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = CH
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB channel.in (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = CI
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB channel.low (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = CL
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB channel.on (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = CN
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB channel.out (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = CT
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB set.position.deadband (board%, axis%, deadband#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + DB + DBLPARFLAG
cmddblbuf.param = deadband#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.deceleration.gain (board%, axis%, gain#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + DG + DBLPARFLAG
cmddblbuf.param = gain#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB define.home (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + DH + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB direction (board%, axis%, dir%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + DI
cmdlngbuf.param = dir%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB deceleration.set (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + DS + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB delay.at.target (board%, axis%, period#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + DT + DBLPARFLAG
cmddblbuf.param = period#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB full.current (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + FC + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB amplifier.fault.input.off (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + FF + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB amplifier.fault.input.on (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + FFN + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB set.derivative.sampling.period (board%, axis%, period%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + FR
cmdlngbuf.param = period%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB half.current (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + HC + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB high.motion.limit (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + HL + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB high.speed (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + HS + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB set.integration.limit (board%, axis%, limit#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + IL + DBLPARFLAG
cmddblbuf.param = limit#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB jog.acceleration (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + JA + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB jog.deadband (board%, axis%, deadband#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + JB + DBLPARFLAG
cmddblbuf.param = deadband#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB jog.proportional.gain (board%, axis%, gain#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + JG + DBLPARFLAG
cmddblbuf.param = gain#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB jog.offset (board%, axis%, offset#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + JO + DBLPARFLAG
cmddblbuf.param = offset#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB jog.min.velocity (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + JV + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB motion.limits.off (board%, axis%, sel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + LF
cmdlngbuf.param = sel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB low.motion.limit (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + LL + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB limit.mode (board%, axis%, mode%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + LM
cmdlngbuf.param = mode%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB motion.limits.on (board%, axis%, sel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + LN
cmdlngbuf.param = sel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB low.speed (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + LS + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB medium.speed (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + MS + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB set.min.velocity (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + MV + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.module.output.mode (board%, axis%, sel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + OM
cmdlngbuf.param = sel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB set.servo.output.phase (board%, axis%, sel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + PH
cmdlngbuf.param = sel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB set.acceleration (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SA + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.derivative.gain (board%, axis%, gain#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SD + DBLPARFLAG
cmddblbuf.param = gain#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB stop.on.error (board%, axis%, poserr#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SE + DBLPARFLAG
cmddblbuf.param = poserr#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB step.full (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + SF + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB set.proportional.gain (board%, axis%, gain#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SG + DBLPARFLAG
cmddblbuf.param = gain#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB step.half (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + SH + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB set.integral.gain (board%, axis%, gain#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SI + DBLPARFLAG
cmddblbuf.param = gain#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.torque (board%, axis%, torque#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SQ + DBLPARFLAG
cmddblbuf.param = torque#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.slave.ratio (board%, axis%, ratio#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SS + DBLPARFLAG
cmddblbuf.param = ratio#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.velocity (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + SV + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.user.output.constant (board%, axis%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + UK + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.user.offset (board%, axis%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + UO + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.user.rate (board%, axis%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + UR + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.user.scale (board%, axis%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + US + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.user.time (board%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = UT + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.user.zero (board%, axis%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + UZ + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB vector.acceleration (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + VA + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB vector.deceleration (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + VD + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.velocity.gain (board%, axis%, gain#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + VG + DBLPARFLAG
cmddblbuf.param = gain#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB set.velocity.override (board%, axis%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + VO + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB vector.velocity (board%, axis%, rate#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + VV + DBLPARFLAG
cmddblbuf.param = rate#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
'
'**************************************************************************
' Motion command subroutines
'
SUB abort (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + AB + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB aux.enc.find.index (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + AF + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB contour.mode (board%, axis%, caxis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + CM
cmdlngbuf.param = caxis%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB find.edge (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + FE + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB find.index (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + FI + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB go.home (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + GH + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB gain.mode (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + GM + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB go.motion (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + GGO + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB home (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + HO + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB index.arm (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + IA + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB learn.position (board%, axis%, index%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + LP
cmdlngbuf.param = index%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB learn.target (board%, axis%, index%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + LT
cmdlngbuf.param = index%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB move.absolute (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + MA + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB motor.off (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + MF + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB motor.on (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + MN + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB move.to.point (board%, axis%, index%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + MP
cmdlngbuf.param = index%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB move.relative (board%, axis%, distance#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + MR + DBLPARFLAG
cmddblbuf.param = distance#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB no.synchronization (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + NS + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB position.mode (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + PM + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB profile.s.curve (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + PS + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB profile.trapezoidal (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + PT + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB torque.mode (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + QM + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB set.master (board%, axis%, maxis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + SM
cmdlngbuf.param = maxis%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB synchronization.on (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + SN + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB stop.motion (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + ST + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB velocity.mode (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + VM + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
'
'**************************************************************************
' Reporting command subroutines
'
SUB tell.aux.enc.pos (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + AT + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB tell.aux.enc.idx (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + AZ + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB tell.analog (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TA
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.breakpoint (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TB
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.channel (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TC
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.derivative.gain (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TD
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.following.error (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TF
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.proportional.gain (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TG
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.integral.gain (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TI
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.velocity.constant (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TK
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.integration.limit (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TL
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.optimal (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TTO
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.position (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TP
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.torque (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TQ
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.status (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + TS + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB tell.target (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TT
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.velocity (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TV
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.contouring.count (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + TX + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB tell.index (board%, axis%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + TZ
cmdlngbuf.param = DBLRPY
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
'
'**************************************************************************
' Register command subroutines
'
SUB accumlator.load.long(board%, value&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = AL
cmdlngbuf.param = value&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB accumlator.load.float(board%, value!)
DIM cmdfltbuf AS CMDFLTFMT
cmdfltbuf.axcmd = AL
cmdfltbuf.param = value!
CALL dcxvcmd(board%, FLTCMDSZ, VARPTR(cmdfltbuf), VARSEG(cmdfltbuf))
END SUB
'
SUB accumlator.load.double(board%, value#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = AL + DBLPARFLAG
cmddblbuf.param = value#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB copy.acc.to.reg(board%, register%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = AR
cmdlngbuf.param = register%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB read.byte(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + RB
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB read.double(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + RD
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB read.long(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + RL
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB read.float(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + RV
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB read.word(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + RW
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB copy.reg.to.acc(board%, register%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = RA
cmdlngbuf.param = register%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB tell.register(board%, register%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = TR
cmdlngbuf.param = register%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB write.byte(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + WB
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB write.double(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + WD
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB write.long(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + WL
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB write.float(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + WV
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB write.word(board%, axis%, location&)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + WW
cmdlngbuf.param = location&
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
'
'**************************************************************************
' Macro command subroutines
'
SUB generate.task (board%, macro%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = GT
cmdlngbuf.param = macro%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB macro.call (board%, macro%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = MC
cmdlngbuf.param = macro%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB macro.jump (board%, macro%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = MJ
cmdlngbuf.param = macro%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
'
'**************************************************************************
' Sequence command subroutines
'
SUB interrupt.on.position (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + IP + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB interrupt.on.relative (board%, axis%, distance#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + IR + DBLPARFLAG
cmddblbuf.param = distance#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB wait.time (board%,period#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = WA + DBLPARFLAG
cmddblbuf.param = period#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB wait.for.edge (board%, axis%, level%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = (axis% * &H100) + WE
cmdlngbuf.param = level%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB wait.for.channel.off (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = WF
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB wait.for.index (board%, axis%)
DIM cmdbuf AS CMDFMT
cmdbuf.axcmd = (axis% * &H100) + WI + NOPARFLAG
CALL dcxvcmd(board%, CMDSZ, VARPTR(cmdbuf), VARSEG(cmdbuf))
END SUB
'
SUB wait.for.channel.on (board%, channel%)
DIM cmdlngbuf AS CMDLNGFMT
cmdlngbuf.axcmd = WN
cmdlngbuf.param = channel%
CALL dcxvcmd(board%, LNGCMDSZ, VARPTR(cmdlngbuf), VARSEG(cmdlngbuf))
END SUB
'
SUB wait.for.position (board%, axis%, position#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + WP + DBLPARFLAG
cmddblbuf.param = position#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB wait.for.relative (board%, axis%, distance#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + WR + DBLPARFLAG
cmddblbuf.param = distance#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
'
SUB wait.for.stop (board%, axis%, period#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + WS + DBLPARFLAG
cmddblbuf.param = period#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
SUB wait.for.target (board%, axis%, period#)
DIM cmddblbuf AS CMDDBLFMT
cmddblbuf.axcmd = (axis% * &H100) + WT + DBLPARFLAG
cmddblbuf.param = period#
CALL dcxvcmd(board%, DBLCMDSZ, VARPTR(cmddblbuf), VARSEG(cmddblbuf))
END SUB
'
'**************************************************************************
' Functions for issuing reporting commands to board and returning values
'
FUNCTION get.aux.enc.pos& (board%, axis%)
DIM rpylngbuf(0 TO 6) AS RPYLNGFMT
CALL tell.aux.enc.pos(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpylngbuf(0)), VARSEG(rpylngbuf(0)))
get.aux.enc.pos& = rpylngbuf(0).value
END FUNCTION
'
FUNCTION get.aux.enc.idx& (board%, axis%)
DIM rpylngbuf(0 TO 6) AS RPYLNGFMT
CALL tell.aux.enc.idx(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpylngbuf(0)), VARSEG(rpylngbuf(0)))
get.aux.enc.idx& = rpylngbuf(0).value
END FUNCTION
'
FUNCTION get.analog& (board%, channel%)
DIM rpylngbuf(0 TO 6) AS RPYLNGFMT
CALL tell.analog(board%, channel%)
retnd% = dcxrpy(0, VARPTR(rpylngbuf(0)), VARSEG(rpylngbuf(0)))
get.analog& = rpylngbuf(0).value
END FUNCTION
'
FUNCTION get.breakpoint# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.breakpoint(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.breakpoint# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.channel& (board%, channel%)
DIM rpylngbuf(0 TO 6) AS RPYLNGFMT
CALL tell.channel(board%, channel%)
retnd% = dcxrpy(0, VARPTR(rpylngbuf(0)), VARSEG(rpylngbuf(0)))
get.channel& = rpylngbuf(0).value
END FUNCTION
'
FUNCTION get.derivative.gain# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.derivative.gain(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.derivative.gain# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.following.error# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.following.error(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.following.error# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.proportional.gain# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.proportional.gain(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.proportional.gain# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.integral.gain# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.integral.gain(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.integral.gain# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.velocity.constant# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.velocity.constant(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.velocity.constant# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.integration.limit# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.integration.limit(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.integration.limit# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.optimal# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.optimal(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.optimal# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.position# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.position(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.position# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.register.long& (board%, register%)
DIM rpylngbuf(0 TO 6) AS RPYLNGFMT
CALL tell.register(board%, register%)
retnd% = dcxrpy(0, VARPTR(rpylngbuf(0)), VARSEG(rpylngbuf(0)))
get.register.long& = rpylngbuf(0).value
END FUNCTION
'
FUNCTION get.register.float! (board%, register%)
DIM rpyfltbuf(0 TO 6) AS RPYFLTFMT
CALL tell.register(board%, register%)
retnd% = dcxrpy(0, VARPTR(rpyfltbuf(0)), VARSEG(rpyfltbuf(0)))
get.register.float! = rpyfltbuf(0).value
END FUNCTION
'
FUNCTION get.register.double# (board%, register%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.register(board%, register%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.register.double# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.torque# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.torque(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.torque# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.status& (board%, axis%)
DIM rpylngbuf(0 TO 6) AS RPYLNGFMT
CALL tell.status(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpylngbuf(0)), VARSEG(rpylngbuf(0)))
get.status& = rpylngbuf(0).value
END FUNCTION
'
FUNCTION get.target# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.target(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.target# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.velocity# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.velocity(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.velocity# = rpydblbuf(0).value
END FUNCTION
'
FUNCTION get.contouring.count& (board%, axis%)
DIM rpylngbuf(0 TO 6) AS RPYLNGFMT
CALL tell.contouring.count(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpylngbuf(0)), VARSEG(rpylngbuf(0)))
get.contouring.count& = rpylngbuf(0).value
END FUNCTION
'
FUNCTION get.index# (board%, axis%)
DIM rpydblbuf(0 TO 6) AS RPYDBLFMT
CALL tell.index(board%, axis%)
retnd% = dcxrpy(0, VARPTR(rpydblbuf(0)), VARSEG(rpydblbuf(0)))
get.index# = rpydblbuf(0).value
END FUNCTION
'
'
'End of DCX2BSUB.BAS

